Bug 1415983 - [Doc RFE] [HCI] Document Fencing Configuring HA for VM
Summary: [Doc RFE] [HCI] Document Fencing Configuring HA for VM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Laura Bailey
QA Contact: RamaKasturi
URL:
Whiteboard:
: 1388824 (view as bug list)
Depends On:
Blocks: 1361115 1422341
TreeView+ depends on / blocked
 
Reported: 2017-01-24 10:06 UTC by Anjana Suparna Sriram
Modified: 2017-09-01 06:42 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-29 04:12:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Anjana Suparna Sriram 2017-01-24 10:06:05 UTC
- Brief overview of fencing and HA in general
- How fencing and HA differ in a Grafton deployment
- Supported fencing policies for Grafton and when each is useful

Comment 4 Laura Bailey 2017-03-08 02:36:45 UTC
*** Bug 1388824 has been marked as a duplicate of this bug. ***

Comment 6 Martin Perina 2017-03-17 14:29:39 UTC
I don't think we have any deep details about fencing flow in our documentation, we have described only fencing related parameters shown in UI. There are also other parameters, which are changeable only using engine-config, but those are probably described only in some KCS articles.

If you would like to describe fencing flow in detail, then please take a look at following resources:

http://www.ovirt.org/develop/developer-guide/engine/automatic-fencing/
http://www.ovirt.org/develop/release-management/features/engine/fence-kdump/#fencing-flow-with-fence-kdump

https://www.youtube.com/watch?v=RAGV_za_Qvw
https://www.slideshare.net/MartinPeina/integrating-kdump-into-ovirt

https://www.youtube.com/watch?v=V1JQtmdleaM
http://www.slideshare.net/MartinPeina/host-fencing-in-ovirt-fixing-the-unknown-and-allowing-vms-to-be-highly-available

Feel free to ask if you have any additional questions about fencing details

Comment 9 RamaKasturi 2017-04-04 12:55:37 UTC
Laura, I think we should provide more clarity on why did we introduce gluster fencing policies rather than explaining what fencing does. what do you think ?

2.1 section title has to be changed to "Configuring Gluster fencing policies"

Comment 11 RamaKasturi 2017-04-05 06:27:16 UTC
This adds gluster related fencing policies for hyper-converged clusters. Previous fencing policies ignored Gluster processes. But in Hyper-converged mode, fencing policies are required to ensure that a host is not fenced if there is a brick process running, or to ensure no loss of quorum when shutting down the host with an active brick.

New fencing policies will be added for Gluster Quorum and Brick Status. These policies can be enabled at Cluster level. These policies will be checked after all other existing policies. Similar to existing fencing policies, these policies will not prevent SSH Soft fencing.


Laura, above info can be added to the guide instead of the paragraph "Fencing allows a cluster to enforce performance and availability policies and react to unexpected host failures by automatically rebooting virtualization hosts."

But you can still have the link for fencing present in the guide.

@sahina, can you please confirm ?

Comment 12 Sahina Bose 2017-04-05 13:02:47 UTC
The document seems to indicate that these are the only policies that are needed - would be good to mention that in addition to the existing policies, for hyperconverged clusters, the gluster policies need to be enabled as well. This is to prevent a host from being fenced in a way that gluster storage becomes unavailable.

Comment 15 RamaKasturi 2017-04-06 09:34:25 UTC
Laura, not sure if we can have this in the doc "and are the last factor in determining whether a node is fenced."

Comment 17 RamaKasturi 2017-04-07 12:21:07 UTC
changes in the doc looks good. Moving this bug to verified state

Comment 18 Laura Bailey 2017-08-29 04:12:13 UTC
Fixed in RHGS 3.3 documentation.


Note You need to log in before you can comment on or make changes to this bug.